package com.jianshui.invoiceall.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * API调用记录-金四对象 invoice_all_api_log
 *
 * @author jianshui
 * @date 2022-12-13
 */
public class InvoiceAllApiLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 请求接口 */
    @Excel(name = "请求接口")
    private String url;

    /** 发送报文 */
    @Excel(name = "发送报文")
    private String sendMsg;

    /** 返回报文 */
    @Excel(name = "返回报文")
    private String resultMsg;

    /** 请求企业 */
    @Excel(name = "请求企业")
    private String company;

    /** 请求企业id */
    @Excel(name = "请求企业id")
    private String identityId;

    /** 请求id */
    @Excel(name = "请求id")
    private String requestId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setSendMsg(String sendMsg)
    {
        this.sendMsg = sendMsg;
    }

    public String getSendMsg()
    {
        return sendMsg;
    }
    public void setResultMsg(String resultMsg)
    {
        this.resultMsg = resultMsg;
    }

    public String getResultMsg()
    {
        return resultMsg;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setIdentityId(String identityId)
    {
        this.identityId = identityId;
    }

    public String getIdentityId()
    {
        return identityId;
    }
    public void setRequestId(String requestId)
    {
        this.requestId = requestId;
    }

    public String getRequestId()
    {
        return requestId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("url", getUrl())
            .append("sendMsg", getSendMsg())
            .append("resultMsg", getResultMsg())
            .append("company", getCompany())
            .append("identityId", getIdentityId())
            .append("createTime", getCreateTime())
            .append("requestId", getRequestId())
            .toString();
    }
}
