package com.jianshui.invoiceall.domain.dto.jcsk.add;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 发票开具 1 DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllAddDTO {

    @NotEmpty
    @ApiModelProperty(value = "渠道标识")
    private String appkey;

    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人识别号")
    private String nsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "lzfpkj")
    private String serviceId;

    List<InvoiceAllAddInfoDTO>  jsonData;



}
